# Uses of Interface
java.util.function.LongFunction

Packages that use LongFunction
Package
Description
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

- ## Uses of LongFunction in java.util.stream

  Methods in java.util.stream with parameters of type LongFunction
  Modifier and Type
  Method
  Description
  `LongStream`
  LongStream.`flatMap(LongFunction<? extends LongStream> mapper)`
  Returns a stream consisting of the results of replacing each element of this stream with the contents of a mapped stream produced by applying the provided mapping function to each element.
  `<U> Stream<U>`
  LongStream.`mapToObj(LongFunction<? extends U> mapper)`
  Returns an object-valued `Stream` consisting of the results of applying the given function to the elements of this stream.